#define PPM 0
#define JPEG 1

struct Camera
{
  int dev;
  int greyscale;
  int draw;
  int frozen;
  int update_camera;
  int saving;
  int savetype;
  struct video_capability vid_caps;
  struct video_window vid_win;
  struct video_picture vid_pic;
  struct video_clip vid_clips[32];
  unsigned char *pic;
  GtkWidget *drawing_area;
  pthread_mutex_t pic_mutex;
  GdkPixmap *pixmap;
};

void display(struct Camera*);
void delete_event(GtkWidget*, GdkEvent*, gpointer);
